package entity

type BimbinganLog struct {
	ID              string `json:"id"`
	IDMahasiswa     string `gorm:"column:id_mahasiswa" json:"id_mahasiswa"`
	Date            string `json:"date"`
	LaporanKemajuan string `json:"laporan_kemajuan"`
	Todo            string `json:"todo"`
	NextBimbingan   string `json:"next_bimbingan"`
	Status          bool   `json:"status"`
}

type BimbinganLogBerkas struct {
	ID              string   `json:"id"`
	IDMahasiswa     string   `gorm:"column:id_mahasiswa" json:"id_mahasiswa"`
	Date            string   `json:"date"`
	LaporanKemajuan string   `json:"laporan_kemajuan"`
	Todo            string   `json:"todo"`
	NextBimbingan   string   `json:"next_bimbingan"`
	Status          bool     `json:"status"`
	Berkas          []Berkas `json:"berkas" gorm:"foreignKey:IDBimbinganLog;references:ID"`
}

type ParamValues struct {
	Limit  int
	Offset int
}

type UpdateStatusRequest struct {
	Status bool `json:"status"`
}
