package usecase

import "gitlab.informatika.org/k-01-11/graduit-be/src/module/jadwal_sidang/entity"

type JadwalSidangRepository interface {
	NewJadwalSidang(jadwal entity.JadwalSidang) (output entity.JadwalSidang, err error)
	GetJadwalSidangByBatch(idBatch string, offset, size int) (output []entity.JadwalSidang, err error)
	UpdateJadwalSidang(jadwalSidang entity.JadwalSidang) (entity.JadwalSidang, error)
	DeleteJadwalSidang(id string) (entity.JadwalSidang, error)
	GetJadwalSidangAll() (output []entity.JadwalSidang, err error)
	GetJadwalSidangInDateRange(startDate, endDate string) ([]entity.JadwalSidang, error)
}
