package models

import "time"

type JadwalSidang struct {
	Id          string `gorm:"type:uuid;primaryKey;default:gen_random_uuid()" json:"id"`
	IdMahasiswa string
	IdDosbing   string
	IdDosuji1   string
	IdDosuji2   string
	Ruang       string
	IdBatch     string
	Judul       string
	CreatedAt   time.Time `gorm:"autoCreateTime"`
	ScheduledAt time.Time `gorm:"default:null"`

	Batch     BatchSidang `gorm:"foreignKey:IdBatch;references:IdBatch"`
	Dosbing   Pengguna    `gorm:"foreignKey:IdDosbing;references:Id"`
	Dosuji1   Pengguna    `gorm:"foreignKey:IdDosuji1;references:Id"`
	Dosuji2   Pengguna    `gorm:"foreignKey:IdDosuji2;references:Id"`
	Mahasiswa Pengguna    `gorm:"foreignKey:IdMahasiswa;references:Id"`
}
