package usecase

import "gitlab.informatika.org/k-01-11/graduit-be/src/module/bimbingan_log/entity"

type BimbinganLogRepository interface {
	NewBimbinganLog(berkas []entity.Berkas, bimbinganLog entity.BimbinganLog) (output entity.BimbinganLogBerkas, err error)
	GetBimbinganLogByStudentId(limit int, offset int, idMahasiswa string) (output []entity.BimbinganLogBerkas, err error)
	UpdateBimbinganLogStatus(logID string, newStatus bool) error
}
