package usecase

import "gitlab.informatika.org/k-01-11/graduit-be/src/module/jadwal_seminar/entity"

type JadwalSeminarRepository interface {
	NewJadwalSeminar(jadwal entity.JadwalSeminar) (output entity.JadwalSeminar, err error)
	GetJadwalSeminarByBatch(idBatch string, offset, size int) (output []entity.JadwalSeminar, err error)
	UpdateJadwalSeminar(jadwalSeminar entity.JadwalSeminar) (entity.JadwalSeminar, error)
	DeleteJadwalSeminar(id string) (entity.JadwalSeminar, error)
	GetJadwalSeminarAll() (output []entity.JadwalSeminar, err error)
	GetJadwalSeminarInDateRange(startDate, endDate string) ([]entity.JadwalSeminar, error)
}
